changeset 389:3531789e64ef draft

Add a very basic script which creates a git remote for each resdb user who has registered a git url.
author Anonymous Coward <nobody@nowhere>
date Wed, 02 Feb 2011 16:21:07 +0000
parents 468578335816
children eb842ad567b4
files scripts/update-git-remotes
diffstat 1 files changed, 33 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/update-git-remotes	Wed Feb 02 16:21:07 2011 +0000
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# Creates git remotes from the user db
+# TODO: detect users' git address changes
+#
+
+if ! ./scripts/check_db_safety; then
+ exit 1
+fi
+
+USR_DB_DIR=./db/usr
+GIT_REPO=./.git
+GIT_REMOTES_DIR=$GIT_REPO/refs/remotes
+
+for u in `ls -1 $USR_DB_DIR`; do
+  git_url_file="$USR_DB_DIR/$u/git"
+
+  if [ -f $git_url_file ]; then
+    git_url=`cat $git_url_file`
+    git_remote_name="anonet_$u"
+
+    if [ -d $GIT_REMOTES_DIR/$git_remote_name ]; then
+      # The remote already exists;
+      # TODO: Update it if it has changed.
+      echo "skipping $u" >&2
+
+    else
+      git remote add -t master -m master $git_remote_name $git_url
+
+    fi
+
+  fi
+done